Summary:      DSSI software synthesizer plugin
Name:         whysynth-dssi
Version:      20070418
Release:      1%{?dist}
URL:          http://home.jps.net/~musound/whysynth.html
Source0:      http://home.jps.net/~musound/whysynth-20070418.tar.bz2
Source1:      whysynth-48.png
Source2:      whysynth.desktop
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dssi-devel gtk2-devel fftw-devel
Requires:     dssi hicolor-icon-theme

BuildRequires: desktop-file-utils

%description
WhySynth is a versatile softsynth which operates as a plugin for the
Disposable Soft Synth Interface (DSSI).

%prep
%setup -q -n whysynth-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host whysynth
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  --add-category X-Fedora                         \
  %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/whysynth.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
# update icon themes
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
# update icon themes
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING doc README TODO
%{_datadir}/whysynth
%{_bindir}/whysynth
%{_libdir}/dssi/*
%exclude %{_libdir}/dssi/whysynth.la
%{_datadir}/applications/*whysynth.desktop
%{_datadir}/icons/hicolor/48x48/apps/whysynth.png

%changelog
* Thu Apr 19 2007 Anthony Green <green@redhat.com> 20070418-1
- Upgrade sources.

* Tue Mar 27 2007 Anthony Green <green@redhat.com> 20060122-9
- Move icon.

* Mon Mar 26 2007 Anthony Green <green@redhat.com> 20060122-8
- Tweak .desktop categories.
- Remove extra icons.

* Sat Oct 21 2006 Anthony Green <green@redhat.com> 20060122-7
- Remove useless desktop-file-install --add-category options.
- Remove Requires for post and postun.

* Sat Sep 16 2006 Anthony Green <green@redhat.com> 20060122-6
- Don't create and install resized icons.
- Don't BuildRequire ImageMagik.
- Require hicolor-icon-theme since we're installing in its directory.

* Mon Sep  4 2006 Anthony Green <green@redhat.com> 20060122-5
- Add .desktop file and icons.

* Mon Sep  4 2006 Anthony Green <green@redhat.com> 20060122-4
- Clean up changlog.
- Fix %%defattr in %%files section.
- Don't use %%makeinstall.
- Fix symlink to be relative.

* Thu Jun  1 2006 Anthony Green <green@redhat.com> 20060122-3
- Removed extra changelog line.

* Thu May 18 2006 Anthony Green <green@redhat.com> 20060122-2
- Clean up Requires & BuildRequires.
- Don't use %%{__rm} & %%{__make}.
- Use %%makeinstall.
- Add whysynth symlink.

* Tue Apr 25 2006 Anthony Green <green@redhat.com> 20060122-1
- Created.
